using System;
using System.ComponentModel;
using System.Data.Linq;
using System.Data.Linq.Mapping;
using System.Collections.Generic;
using System.Data;
using System.ComponentModel.DataAnnotations;



namespace PTMedicalInsurance.Entity.BaseLine.ElectronicSettlementCertificate
{
    class QueryEcSettlCertStatusIn:EntityBase
    {/// <summary>
     /// 定点医疗机构编号
     /// </summary>
        [Column(Name = "FixmedinsCode", Storage = null, DbType = "VarChar(30)")]
        [StringLength(30)]
        [DisplayName("定点医疗机构编号")]
        public string FixmedinsCode { get; set; }

        /// <summary>
        /// 定点医疗机构名称
        /// </summary>
        [Column(Name = "FixmedinsName", Storage = null, DbType = "VarChar(255)")]
        [StringLength(255)]
        [DisplayName("定点医疗机构名称")]
        public string FixmedinsName { get; set; }

        /// <summary>
        /// 电子结算凭证代码
        /// 备注：电子结算凭证类型为1财政电子票据、2税务电子发票必填；
        /// 电子结算凭证类型为3税务数电票非必填。
        /// </summary>
        [Column(Name = "ElecSetlCertCode", Storage = null, DbType = "VarChar(50)")]
        [StringLength(50)]
        [DisplayName("电子结算凭证代码")]
        public string ElecSetlCertCode { get; set; }

        /// <summary>
        /// 电子结算凭证号码
        /// </summary>
        [Column(Name = "ElecSetlCertNo", Storage = null, DbType = "VarChar(50)")]
        [StringLength(50)]
        [DisplayName("电子结算凭证号码")]
        public string ElecSetlCertNo { get; set; }

        /// <summary>
        /// 电子结算凭证校验码
        /// 备注：电子结算凭证类型为1财政电子票据、2税务电子发票必填；
        /// 电子结算凭证类型为3税务数电票非必填。
        /// </summary>
        [Column(Name = "ElecSetlCertChkcode", Storage = null, DbType = "VarChar(50)")]
        [StringLength(50)]
        [DisplayName("电子结算凭证校验码")]
        public string ElecSetlCertChkcode { get; set; }

        /// <summary>
        /// 电子结算凭证类型
        /// 备注：1财政电子票据、2税务电子发票、3税务数电票
        /// </summary>
        [Column(Name = "ElecSetlCertType", Storage = null, DbType = "VarChar(20)")]
        [StringLength(20)]
        [DisplayName("电子结算凭证类型")]
        public string ElecSetlCertType { get; set; }
    }
    class QueryEcSettlCertStatusOut : EntityBase
    {
        /// <summary>
        /// 电子结算凭证代码
        /// 备注：电子结算凭证类型为1财政电子票据、2税务电子发票必填；
        /// 电子结算凭证类型为3税务数电票非必填。
        /// </summary>
        [Column(Name = "ElecSetlCertCode", Storage = null, DbType = "VarChar(50)")]
        [StringLength(50)]
        [DisplayName("电子结算凭证代码")]
        public string ElecSetlCertCode { get; set; }

        /// <summary>
        /// 电子结算凭证号码
        /// </summary>
        [Column(Name = "ElecSetlCertNo", Storage = null, DbType = "VarChar(50)")]
        [StringLength(50)]
        [DisplayName("电子结算凭证号码")]
        public string ElecSetlCertNo { get; set; }

        /// <summary>
        /// 电子结算凭证校验码
        /// 备注：电子结算凭证类型为1财政电子票据、2税务电子发票必填；
        /// 电子结算凭证类型为3税务数电票非必填。
        /// </summary>
        [Column(Name = "ElecSetlCertChkcode", Storage = null, DbType = "VarChar(20)")]
        [StringLength(20)]
        [DisplayName("电子结算凭证校验码")]
        public string ElecSetlCertChkcode { get; set; }

        /// <summary>
        /// 电子结算凭证类型
        /// 备注：1财政电子票据、2税务电子发票、3税务数电票
        /// </summary>
        [Column(Name = "ElecSetlCertType", Storage = null, DbType = "VarChar(20)")]
        [StringLength(20)]
        [DisplayName("电子结算凭证类型")]
        public string ElecSetlCertType { get; set; }

        /// <summary>
        /// 凭证结算类型
        /// 备注：1实时结算、2全自费
        /// </summary>
        [Column(Name = "CertSetlType", Storage = null, DbType = "VarChar(3)")]
        [StringLength(3)]
        [DisplayName("凭证结算类型")]
        public string CertSetlType { get; set; }

        /// <summary>
        /// 冲红标志
        /// 备注：0未冲红、1已冲红
        /// </summary>
        [Column(Name = "RhredFlag", Storage = null, DbType = "VarChar(3)")]
        [StringLength(3)]
        [DisplayName("冲红标志")]
        public string RhredFlag { get; set; }

        /// <summary>
        /// 报销标志
        /// 备注：0未报销、1已报销、2申请中
        /// </summary>
        [Column(Name = "ReimFlag", Storage = null, DbType = "VarChar(3)")]
        [StringLength(3)]
        [DisplayName("报销标志")]
        public string ReimFlag { get; set; }
    }
}
